// TODO: Указать правила для формирования сообщений с уведомлениями об изменениях статусов
[
  {
    "default": false,
    "from": "New",
    "to": "In Progress",
    "messages": [
      {
        "recipient": "dev",
        "changes_message": "{{dev.name}} взял в работу задачу #{{issue_id}}"
      }
    ]
  },
  {
    "default": false,
    "from": "In Progress",
    "to": "Code Review",
    "messages": [
      {
        "recipient": "dev",
        "changes_message": "{{dev.name}} завершил разработку по задаче #{{issue_id}} и передал на ревью {{cr.name}}"
      },
      {
        "recipient": "cr",
        "changes_message": "{{cr.name}} получил задачу #{{issue_id}} на ревью от {{dev.name}}",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{issue_subject}}:\n{{dev.name}} завершил разработку по задаче и передал вам на ревью\n\n{{journal_note}}"
      }
    ]
  },
  {
    "default": false,
    "from": "Code Review",
    "to": "Re-opened",
    "messages": [
      {
        "recipient": "cr",
        "changes_message": "{{cr.name}} вернул задачу #{{issue_id}} на доработку {{dev.name}}"
      },
      {
        "recipient": "dev",
        "changes_message": "{{dev.name}} получил задачу #{{issue_id}} на доработку после завершения ревью {{cr.name}}",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{cr.name}} вернул вам с ревью на доработку задачу\n\n{{journal_note}}"
      }
    ]
  },
  {
    "default": false,
    "from": "Re-opened",
    "to": "In Progress",
    "messages": [
      {
        "recipient": "dev",
        "changes_message": "{{dev.name}} продолжил работу над задачей #{{issue_id}}"
      }
    ]
  },
  {
    "default": false,
    "from": "Code Review",
    "to": "Resolved",
    "messages": [
      {
        "recipient": "cr",
        "changes_message": "{{cr.name}} завершил ревью задачи {{issue_id}} и передал её на тест {{qa.name}}"
      },
      {
        "recipient": "qa",
        "changes_message": "{{qa.name}} получил на тест задачу #{{issue_id}} после разработки {{dev.name}} и ревью {{cr.name}}",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{dev.name}} завершил разработку по задаче, а {{cr.name}} выполнил ревью и передали теперь вам для проверки\n\n{{journal_note}}"
      },
      {
        "recipient": "dev",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{cr.name}} выполнил ревью вашей задачи и передал далее на проверку {{qa.name}}\n\n{{journal_note}}"
      }
    ]
  },
  {
    "default": false,
    "from": "Re-opened",
    "to": "Code Review",
    "messages": [
      {
        "recipient": "dev",
        "changes_message": "{{dev.name}} выполнил доработки и перевёл задачу #{{issue_id}} на ревью {{cr.name}}"
      },
      {
        "recipient": "cr",
        "changes_message": "{{cr.name}} получил задачу #{{issue_id}} на повторное ревью от {{dev.name}}",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{dev.name}} выполнил по задаче доработки и теперь вы можете сделать ревью\n\n{{journal_note}}"
      }
    ]
  },
  {
    "default": false,
    "from": "Resolved",
    "to": "Closed",
    "messages": [
      {
        "recipient": "qa",
        "changes_message": "{{qa.name}} протестировал задачу #{{issue_id}} и закрыл"
      },
      {
        "recipient": "dev",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{qa.name}} проверил и закрыл вашу задачу"
      }
    ]
  },
  {
    "default": false,
    "from": "Testing",
    "to": "Re-opened",
    "messages": [
      {
        "recipient": "qa",
        "changes_message": "{{qa.name}} вернул задачу #{{issue_id}} на доработку {{dev.name}}"
      },
      {
        "recipient": "dev",
        "changes_message": "{{dev.name}} получил от {{qa.name}} задачу #{{issue_id}} на доработку",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{qa.name}} вернул вам с тестирования задачу на доработку\n\n{{journal_note}}"
      }
    ]
  },
  {
    "default": false,
    "from": "Resolved",
    "to": "Re-opened",
    "messages": [
      {
        "recipient": "qa",
        "changes_message": "{{qa.name}} вернул задачу #{{issue_id}} на доработку {{dev.name}}"
      },
      {
        "recipient": "dev",
        "changes_message": "{{dev.name}} получил от {{qa.name}} задачу #{{issue_id}} на доработку",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{qa.name}} вернул вам с тестирования задачу на доработку\n\n{{journal_note}}"
      }
    ]
  },
  {
    "default": false,
    "from": "Resolved",
    "to": "Testing",
    "messages": [
      {
        "recipient": "qa",
        "changes_message": "{{qa.name}} начал проверять задачу #{{issue_id}}"
      }
    ]
  },
  {
    "default": false,
    "from": "Testing",
    "to": "Closed",
    "messages": [
      {
        "recipient": "qa",
        "changes_message": "{{qa.name}} протестировал задачу #{{issue_id}} и закрыл"
      },
      {
        "recipient": "dev",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{qa.name}} проверил и закрыл вашу задачу"
      }
    ]
  },
  {
    "default": false,
    "to": "Rejected",
    "messages": [
      {
        "recipient": "initiator",
        "changes_message": "{{initiator.name}} изменил статус задачи {{issue_id}} с {{old_status.name}} на {{new_status.name}} (dev - {{dev.name}}, cr - {{cr.name}}, qa - {{qa.name}})"
      }
    ]
  },
  {
    "default": true,
    "messages": [
      {
        "recipient": "initiator",
        "changes_message": "{{initiator.name}} изменил статус задачи #{{issue_id}} с {{old_status.name}} на {{new_status.name}} (dev - {{dev.name}}, cr - {{cr.name}}, qa - {{qa.name}})"
      },
      {
        "recipient": "dev",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{initiator.name}} изменил статус задачи с {{old_status.name}} на {{new_status.name}}"
      },
      {
        "recipient": "current_user",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{initiator.name}} изменил статус задачи с {{old_status.name}} на {{new_status.name}}"
      }
    ]
  },
  {
    "default": false,
    "new_issue": true,
    "from": "New",
    "to": "New",
    "messages": [
      {
        "recipient": "author",
        "changes_message": "{{author.name}} создал новую задачу #{{issue_id}} {{#if current_user}}для {{current_user.name}}{{/if}}"
      },
      {
        "recipient": "current_user",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{author.name}} создал новую задачу и назначил её на вас"
      }
    ]
  },
  {
    "default": false,
    "from": "Re-opened",
    "to": "Resolved",
    "messages": [
      {
        "recipient": "dev",
        "changes_message": "{{dev.name}} перевёл задачу #{{issue_id}} на повторную проверку {{qa.name}}"
      },
      {
        "recipient": "qa",
        "changes_message": "{{qa.name}} получил задачу #{{issue_id}} на повторную проверку от {{dev.name}}",
        "notification_message": "<a href=\"{{ issue_url }}\">{{ issue_tracker }} #{{ issue_id }}</a> {{ issue_subject }}:\n{{dev.name}} выполнил по задаче доработки и теперь вы можете проверить повторно\n\n{{journal_note}}"
      }
    ]
  }
]